/*****************************************************************************

	Terminology definition for a new AppleScript data type.

	by Andy Bachorski, Apple Developer Technical Support

	File:		UnitTypeTerminology.r
	
	
	Copyright  1998 Apple Computer, Inc., All rights reserved.

	Bugs?:		For bug reports, consult the following page on
				the World Wide Web:

					http://developer.apple.com/bugreporter/

	You may incorporate this sample code into your applications without
	restriction, though the sample code has been provided "AS IS" and the
	responsibility for its operation is 100% yours.  However, what you are
	not permitted to do is to redistribute this source as "Andy's Sample Code"
	after having made changes. If you're going to re-distribute the source,
	I require that you make it clear in the source that the code was
	descended from my code, but that you've made changes.

*****************************************************************************/


#include "AEUserTermTypes.r"
#include "ASRegistry.r"
#include "osiz.r"
#include "Types.r"


#include "UnitTypes.r"


#if !defined(UNIVERSAL_INTERFACES_VERSION)
	#define	developStage	0x20
	#define	alphaStage		0x40
	#define	betaStage		0x60
	#define	finalStage		0x80
#endif


resource 'aete' (0, "Unit types") {
	1,			// Major Version, BCD
	0,			// Minor version, BCD
	english,	// Language code
	roman,		// Script code
	{	// array Suites: 1 elements
		// [1]
		"",	//	Type Names Suite (an AppleScript suite used to give names to classes)
		"",	//	No name or description is needed, since we are only extending an exinting suite
		kASTypeNamesSuite,
		1,
		1,
		{	// array Events: 0 elements	----	NO EVENTS DEFINED HERE
		},
		{	// array Classes: 1 elements
			// [1]
			"meters",
			typeMeters,
			"",
			{	// array Properties: 0 elements
			},
			{	// array Elements: 0 elements
			},
			// [ ]
			"inches",
			typeInches,
			"",
			{	// array Properties: 0 elements
			},
			{	// array Elements: 0 elements
			},
			// [ ]
			"feet",
			typeFeet,
			"",
			{	// array Properties: 0 elements
			},
			{	// array Elements: 0 elements
			},
			// [ ]
			"points",
			typePoints,
			"",
			{	// array Properties: 0 elements
			},
			{	// array Elements: 0 elements
			},
			// [ ]
			"C string",
			typeCString,
			"",
			{	// array Properties: 0 elements
			},
			{	// array Elements: 0 elements
			},
			// [ ]
			"Pascal string",
			typePString,
			"",
			{	// array Properties: 0 elements
			},
			{	// array Elements: 0 elements
			},
		},
		{	// ComparisonOps
		},
		{	// Enumerations
		},
	}
};

resource 'osiz' (0, "") {
		dontOpenResourceFile,
		acceptRemoteEvents,
		openWithReadPermission,
		reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
		reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
		reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
		reserved, reserved, reserved, reserved, reserved
};


// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

#define kMajorVersNumber	0x01
#define kMinorVersNumber	0x00
#define kReleaseStage		developStage
#define kNonFinalRelease	0x05
#define kVersString			"1.0d5"

#define kRegionCode			verUS


resource 'vers' (1) {
	kMajorVersNumber,
	kMinorVersNumber,
	kReleaseStage,
	kNonFinalRelease,
	kRegionCode,
	kVersString,
	kVersString " Apple Computer, Inc. 1998,\nUnit Types definitions "
};

resource 'vers' (2) {
	kMajorVersNumber,
	kMinorVersNumber,
	kReleaseStage,
	kNonFinalRelease,
	kRegionCode,
	kVersString,
	"Unit Types " kVersString
};

// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


#define prodDesc "ProductInfo"
read 'STR ' (1, prodDesc) prodDesc;				//	as defined in VersionEdit from Teknosys


resource 'STR#' (1, "Product") {		//	as defined in VersionEdit from Teknosys
	{
		"Unit Types suite",	//	Product Name
		"Version Info",		//	File Name
		"1998",				//	Release Year
		"",					//	Web Page
		""					//	FTP Directory
	}
};

resource 'STR#' (2, "Vendor") {		//	as defined in VersionEdit from Teknosys
	{
		"Andy Bachorski",				//	Author
		"",								//	Company
		"",								//	Address
		"",		//	Phone
		"",		//	Fax
		"",		//	AOL address
		"",		//	CompuServe address
		"caveman@ricochet.net",				//	email
		"",		//	Web Site
		"",		//	FTP Directory
		""
	}
};

